qt-4.8.7-47.fc30.i686.rpm


Advertisement

Description

qt - Qt toolkit

Property Value
Distribution Fedora 30
Repository Fedora x86_64
Package filename qt-4.8.7-47.fc30.i686.rpm
Package name qt
Package version 4.8.7
Package release 47.fc30
Package architecture i686
Package type rpm
Homepage http://qt-project.org/
License (LGPLv2 with exceptions or GPLv3 with exceptions) and ASL 2.0 and BSD and FTL and MIT
Maintainer -
Download size 4.84 MB
Installed size 21.64 MB
Qt is a software toolkit for developing applications.
This package contains base tools, like string, xml, and network
handling.

Alternatives

Package Version Architecture Repository
qt-4.8.7-49.fc30.x86_64.rpm 4.8.7 x86_64 Fedora Updates
qt-4.8.7-49.fc30.i686.rpm 4.8.7 i686 Fedora Updates
qt-4.8.7-49.fc30.i686.rpm 4.8.7 i686 Fedora Updates
qt-4.8.7-47.fc30.i686.rpm 4.8.7 i686 Fedora
qt-4.8.7-47.fc30.x86_64.rpm 4.8.7 x86_64 Fedora
qt-4.8.7-47.fc30.x86_64.rpm 4.8.7 x86_64 Fedora Updates Testing
qt-4.8.7-47.fc30.i686.rpm 4.8.7 i686 Fedora Updates Testing
qt-4.8.7-47.fc30.i686.rpm 4.8.7 i686 Fedora Updates Testing
qt - - -

Requires

Name Value
/usr/sbin/update-alternatives -
ca-certificates -
ld-linux.so.2 -
ld-linux.so.2(GLIBC_2.3) -
libc.so.6(GLIBC_2.28) -
libcrypto.so.1.1 -
libcrypto.so.1.1(OPENSSL_1_1_0) -
libdbus-1.so.3 -
libdbus-1.so.3(LIBDBUS_1_3) -
libdl.so.2 -
libdl.so.2(GLIBC_2.0) -
libdl.so.2(GLIBC_2.1) -
libgcc_s.so.1 -
libgcc_s.so.1(GCC_3.0) -
libgcc_s.so.1(GCC_4.0.0) -
libgcc_s.so.1(GLIBC_2.0) -
libglib-2.0.so.0 -
libm.so.6 -
libm.so.6(GLIBC_2.0) -
libm.so.6(GLIBC_2.1) -
libm.so.6(GLIBC_2.2) -
libm.so.6(GLIBC_2.29) -
libpthread.so.0 -
libpthread.so.0(GLIBC_2.0) -
libpthread.so.0(GLIBC_2.1) -
libpthread.so.0(GLIBC_2.2) -
libpthread.so.0(GLIBC_2.2.3) -
libpthread.so.0(GLIBC_2.3.2) -
librt.so.1 -
librt.so.1(GLIBC_2.2) -
libsqlite3.so.0 -
libssl.so.1.1 -
libssl.so.1.1(OPENSSL_1_1_0) -
libstdc++.so.6 -
libstdc++.so.6(CXXABI_1.3) -
libstdc++.so.6(GLIBCXX_3.4) -
libz.so.1 -
qt-common = 4.8.7-47.fc30
qt-settings -
rtld(GNU_HASH) -

Provides

Name Value
libQtCore.so.4 -
libQtDBus.so.4 -
libQtNetwork.so.4 -
libQtScript.so.4 -
libQtSql.so.4 -
libQtTest.so.4 -
libQtXml.so.4 -
libQtXmlPatterns.so.4 -
libqsqlite.so -
qgtkstyle = 0.1-1
qt = 4.8.7-47.fc30
qt(x86-32) = 4.8.7-47.fc30
qt-sqlite = 4.8.7-47.fc30
qt-sqlite(x86-32) = 4.8.7-47.fc30
qt4 = 4.8.7-47.fc30
qt4(x86-32) = 4.8.7-47.fc30
qt4-sqlite = 4.8.7-47.fc30
qt4-sqlite(x86-32) = 4.8.7-47.fc30

Obsoletes

Name Value
qgtkstyle < 0.1
qt-sqlite < 4.7.1-16
qt4 < 4.8.7-47.fc30

Download

Type URL
Mirror download-ib01.fedoraproject.org
Binary Package qt-4.8.7-47.fc30.i686.rpm
Source Package qt-4.8.7-47.fc30.src.rpm

Install Howto

Install qt rpm package:

# dnf install qt

Files

Path
/etc/xdg/qtchooser/4-32.conf
/etc/xdg/qtchooser/4.conf
/etc/xdg/qtchooser/default.conf
/usr/bin/qdbus
/usr/lib/libQtCore.so.4
/usr/lib/libQtCore.so.4.8
/usr/lib/libQtCore.so.4.8.7
/usr/lib/libQtDBus.so.4
/usr/lib/libQtDBus.so.4.8
/usr/lib/libQtDBus.so.4.8.7
/usr/lib/libQtNetwork.so.4
/usr/lib/libQtNetwork.so.4.8
/usr/lib/libQtNetwork.so.4.8.7
/usr/lib/libQtScript.so.4
/usr/lib/libQtScript.so.4.8
/usr/lib/libQtScript.so.4.8.7
/usr/lib/libQtSql.so.4
/usr/lib/libQtSql.so.4.8
/usr/lib/libQtSql.so.4.8.7
/usr/lib/libQtTest.so.4
/usr/lib/libQtTest.so.4.8
/usr/lib/libQtTest.so.4.8.7
/usr/lib/libQtXml.so.4
/usr/lib/libQtXml.so.4.8
/usr/lib/libQtXml.so.4.8.7
/usr/lib/libQtXmlPatterns.so.4
/usr/lib/libQtXmlPatterns.so.4.8
/usr/lib/libQtXmlPatterns.so.4.8.7
/usr/lib/.build-id/
/usr/lib/.build-id/32/f1932c06c67ef4761db146d77f7d22f06a71ce
/usr/lib/.build-id/32/f1932c06c67ef4761db146d77f7d22f06a71ce.1
/usr/lib/.build-id/4d/bc571813dd02a42337b224e6fd01c1efe0db4d
/usr/lib/.build-id/5a/b1817f9cc2f1b5366ec9e6cdc891ecda3cfa42
/usr/lib/.build-id/66/7fb3fd79a17cf137a1e02523b0cf8c72b4d396
/usr/lib/.build-id/7d/ac42b14f47f7e7dba1def5c0e237a8b3f3ba2d
/usr/lib/.build-id/7f/4e662cbaf3b2edc48c2a72141cf7e6b449df42
/usr/lib/.build-id/9a/18e422fff2816750653bbde9df799024db19f7
/usr/lib/.build-id/a7/844032fb9de3bdb8fe517fc68ccdbb64645c4c
/usr/lib/.build-id/aa/cfaf1eb5ebbc73bd197e7f1a6f947670eb071a
/usr/lib/.build-id/c7/3dfc3c4e5c8e9982feb57b47c4f7c868d1791c
/usr/lib/qt4/
/usr/lib/qt4/bin/qdbus
/usr/lib/qt4/phrasebooks/danish.qph
/usr/lib/qt4/phrasebooks/dutch.qph
/usr/lib/qt4/phrasebooks/finnish.qph
/usr/lib/qt4/phrasebooks/french.qph
/usr/lib/qt4/phrasebooks/german.qph
/usr/lib/qt4/phrasebooks/hungarian.qph
/usr/lib/qt4/phrasebooks/italian.qph
/usr/lib/qt4/phrasebooks/japanese.qph
/usr/lib/qt4/phrasebooks/norwegian.qph
/usr/lib/qt4/phrasebooks/polish.qph
/usr/lib/qt4/phrasebooks/russian.qph
/usr/lib/qt4/phrasebooks/spanish.qph
/usr/lib/qt4/phrasebooks/swedish.qph
/usr/lib/qt4/plugins/
/usr/lib/qt4/plugins/crypto/
/usr/lib/qt4/plugins/sqldrivers/libqsqlite.so
/usr/share/doc/qt/README
/usr/share/doc/qt4/
/usr/share/doc/qt4/html/
/usr/share/doc/qt4/qch/
/usr/share/doc/qt4/src/
/usr/share/licenses/qt/LGPL_EXCEPTION.txt
/usr/share/licenses/qt/LICENSE.GPL3
/usr/share/licenses/qt/LICENSE.LGPL
/usr/share/qt4/
/usr/share/qt4/translations/qt_ar.qm
/usr/share/qt4/translations/qt_cs.qm
/usr/share/qt4/translations/qt_da.qm
/usr/share/qt4/translations/qt_de.qm
/usr/share/qt4/translations/qt_es.qm
/usr/share/qt4/translations/qt_eu.qm
/usr/share/qt4/translations/qt_fa.qm
/usr/share/qt4/translations/qt_fr.qm
/usr/share/qt4/translations/qt_gl.qm
/usr/share/qt4/translations/qt_he.qm
/usr/share/qt4/translations/qt_hu.qm
/usr/share/qt4/translations/qt_ja.qm
/usr/share/qt4/translations/qt_ko.qm
/usr/share/qt4/translations/qt_lt.qm
/usr/share/qt4/translations/qt_pl.qm
/usr/share/qt4/translations/qt_pt.qm
/usr/share/qt4/translations/qt_ru.qm
/usr/share/qt4/translations/qt_sk.qm
/usr/share/qt4/translations/qt_sl.qm
/usr/share/qt4/translations/qt_sv.qm
/usr/share/qt4/translations/qt_uk.qm
/usr/share/qt4/translations/qt_zh_CN.qm
/usr/share/qt4/translations/qt_zh_TW.qm

Changelog

2019-03-22 - Than Ngo <than@redhat.com> - 4.8.7-47
- fixed #1691638 - CVE-2018-19872 qt: malformed PPM image causing division by zero and crash in qppmhandler.cpp
2019-02-28 - Rex Dieter <rdieter@fedoraproject.org> - 1:4.8.7-46
- backport qforeach.patch from qt5
- -no-javascript-jit on f30 to workaround gcc9 FTBFS for now
2019-02-02 - Fedora Release Engineering <releng@fedoraproject.org> - 1:4.8.7-45
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
2018-10-19 - Kevin Kofler <Kevin@tigcc.ticalc.org> - 1:4.8.7-44
- fix QAudio hardcoding hw:0,0 on ALSA1.1 (patch by Jaroslav Škarvada, #1641151)
- disable OpenSSL 1.1 patch for F27, keep building against compat-openssl10
(It really does not make sense to switch over the F27 package at this point.)
2018-09-21 - Owen Taylor <otaylor@redhat.com> - 1:4.8.7-43
- Disable qtchooser for Flatpak builds
2018-07-21 - Rex Dieter <rdieter@fedoraproject.org> - 1:4.8.7-42
- drop BR: pkgconfig(NetworkManager) (#1606047)
- use %make_build %ldconfig
2018-07-14 - Fedora Release Engineering <releng@fedoraproject.org> - 1:4.8.7-41
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
2018-05-19 - Rex Dieter <rdieter@fedoraproject.org> - 1:4.8.7-40
- build only qtscript using -O1 (#1580047)
2018-05-19 - Rex Dieter <rdieter@fedoraproject.org> - 1:4.8.7-39
- workaround qtscript/gcc8 bug (#1580047)

See Also

Package Description
qt-assistant-4.8.7-47.fc30.x86_64.rpm Documentation browser for Qt 4
qt-assistant-adp-4.6.3-20.fc30.i686.rpm Compatibility version of Qt Assistant
qt-assistant-adp-4.6.3-20.fc30.x86_64.rpm Compatibility version of Qt Assistant
qt-assistant-adp-devel-4.6.3-20.fc30.i686.rpm Development files for the compatibility QAssistantClient
qt-assistant-adp-devel-4.6.3-20.fc30.x86_64.rpm Development files for the compatibility QAssistantClient
qt-at-spi-0.3.1-17.fc30.i686.rpm Qt plugin that bridges Qt's accessibility API to AT-SPI2
qt-at-spi-0.3.1-17.fc30.x86_64.rpm Qt plugin that bridges Qt's accessibility API to AT-SPI2
qt-at-spi-doc-0.3.1-17.fc30.noarch.rpm Documentation for qt-at-spi
qt-common-4.8.7-47.fc30.noarch.rpm Common files for Qt
qt-config-4.8.7-47.fc30.x86_64.rpm Graphical configuration tool for programs using Qt 4
qt-creator-4.9.0-0.1.beta1.fc30.i686.rpm Cross-platform IDE for Qt
qt-creator-4.9.0-0.1.beta1.fc30.x86_64.rpm Cross-platform IDE for Qt
qt-creator-data-4.9.0-0.1.beta1.fc30.noarch.rpm Application data for qt-creator
qt-creator-doc-4.9.0-0.1.beta1.fc30.noarch.rpm User documentation for qt-creator
qt-creator-translations-4.9.0-0.1.beta1.fc30.noarch.rpm Translations for qt-creator
Advertisement
Advertisement